Package org.bukkit.block.data.type

# Interface Leaves

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface Leaves extends BlockData
'persistent' indicates whether or not leaves will be checked by the server to see if they are subject to decay or not.
'distance' denotes how far the block is from a tree and is used in conjunction with 'persistent' flag to determine if the leaves will decay or not.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDistance()`
Gets the value of the 'distance' property.
`boolean`
`isPersistent()`
Gets the value of the 'persistent' property.
`void`
`setDistance(int distance)`
Sets the value of the 'distance' property.
`void`
`setPersistent(boolean persistent)`
Sets the value of the 'persistent' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isPersistent

boolean isPersistent()
Gets the value of the 'persistent' property.

Returns:
  the persistent value

### setPersistent

void setPersistent(boolean persistent)
Sets the value of the 'persistent' property.

Parameters:
  `persistent` - the new 'persistent' value

### getDistance

int getDistance()
Gets the value of the 'distance' property.

Returns:
  the 'distance' value

### setDistance

void setDistance(int distance)
Sets the value of the 'distance' property.

Parameters:
  `distance` - the new 'distance' value